Debian Bug report logs - #658384
memstat: FTBFS on hurd-i386

version graph

Package: src:memstat; Maintainer for src:memstat is Michael Meskes <meskes@debian.org>;

Reported by: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>

Date: Thu, 2 Feb 2012 15:57:02 UTC

Severity: wishlist

Found in version memstat/0.9

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#658384; Package src:memstat. (Thu, 02 Feb 2012 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Michael Meskes <meskes@debian.org>. (Thu, 02 Feb 2012 15:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>
To: submit@bugs.debian.org
Subject: memstat: FTBFS on hurd-i386
Date: Thu, 2 Feb 2012 16:53:52 +0100
[Message part 1 (text/plain, inline)]
Source: memstat
Version: 0.9
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd
X-DebBugs-CC: debian-hurd@lists.debian.org

Hi,

This patch solves the build problems for GNU/Hurd due to PATH_MAX
issues. The solution is to make dynamic string allocations instead of
using fixed length buffers. The patch involves one file, and is
trivial. Parts of the the code has been reviewed by GNU/Hurd developers
and Debian GNU/Hurd developers and maintainers.

Thanks!
Tanguy
[fix_FTBFS4Hurd.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#658384; Package src:memstat. (Sat, 04 Feb 2012 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. (Sat, 04 Feb 2012 00:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 658384@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>, 658384@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#658384: memstat: FTBFS on hurd-i386
Date: Fri, 3 Feb 2012 18:26:00 +0100
tag 658384 -patch
thanks

On Thu, Feb 02, 2012 at 04:53:52PM +0100, Tanguy LE CARROUR wrote:
> This patch solves the build problems for GNU/Hurd due to PATH_MAX
> issues. The solution is to make dynamic string allocations instead of
> using fixed length buffers. The patch involves one file, and is
> trivial. Parts of the the code has been reviewed by GNU/Hurd developers
> and Debian GNU/Hurd developers and maintainers.

Thanks for your effort, but unfortunately the patch does not work. It might
make memstat compile on Hurd, but it certainly creates a non-funtional binary
on Linux. Please run the progam on Linux with and without your patch to see the
different output.

Michael

-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
Jabber: michael.meskes at googlemail dot com
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL




Removed tag(s) patch. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Sat, 04 Feb 2012 00:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#658384; Package src:memstat. (Sat, 04 Feb 2012 10:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. (Sat, 04 Feb 2012 10:03:26 GMT) Full text and rfc822 format available.

Message #17 received at 658384@bugs.debian.org (full text, mbox):

From: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>
To: Michael Meskes <meskes@debian.org>
Cc: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>, "658384@bugs.debian.org" <658384@bugs.debian.org>, "control@bugs.debian.org" <control@bugs.debian.org>
Subject: Re: Bug#658384: memstat: FTBFS on hurd-i386
Date: Sat, 4 Feb 2012 10:58:43 +0100
[Message part 1 (text/plain, inline)]
Hi,

Le vendredi 3 février 2012, Michael Meskes <meskes@debian.org> a écrit :
> tag 658384 -patch
> thanks
>
> Thanks for your effort, but unfortunately the patch does not work. It
might
> make memstat compile on Hurd, but it certainly creates a non-funtional
binary
> on Linux. Please run the progam on Linux with and without your patch to
see the
> different output.

Thanks for trying the patch!
I did notice some differences in the outputs but I thought it was
time-related, meaning that I tried the 2 versions at different moments and
the memory occupation was different.... But I'm not (yet) a memstat
specialist so I'm not sure what to expect! ^_^'

I'll try to see what's wrong, but any advice is welcome.

Thanks for your time,
Tanguy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#658384; Package src:memstat. (Sat, 04 Feb 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. (Sat, 04 Feb 2012 13:57:04 GMT) Full text and rfc822 format available.

Message #22 received at 658384@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>
Cc: 658384@bugs.debian.org
Subject: Re: memstat: FTBFS on hurd-i386
Date: Sat, 4 Feb 2012 14:53:53 +0100
Hi Tanguy,

On Sat, Feb 04, 2012 at 10:58:43AM +0100, Tanguy LE CARROUR wrote:
> I'll try to see what's wrong, but any advice is welcome.

The problem is due to lstat() always returning a null size on Linux for
/proc/*/exe, so the approach described in readlink(2) cannot be applied.
You will need a reallocation loop similar to what you did for get_line().

-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#658384; Package src:memstat. (Tue, 07 Feb 2012 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. (Tue, 07 Feb 2012 13:12:06 GMT) Full text and rfc822 format available.

Message #27 received at 658384@bugs.debian.org (full text, mbox):

From: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>
To: 658384@bugs.debian.org
Cc: Michael Meskes <meskes@debian.org>
Subject: Re: Bug#658384: memstat: FTBFS on hurd-i386
Date: Tue, 7 Feb 2012 14:09:27 +0100
[Message part 1 (text/plain, inline)]
Hi,

2012/2/3 Michael Meskes <meskes@debian.org>:
> Thanks for your effort, but unfortunately the patch does not work. It might
> make memstat compile on Hurd, but it certainly creates a non-funtional binary
> on Linux. Please run the progam on Linux with and without your patch to see the
> different output.

I'm attaching the corrected version of the patch. Even if the output
is not exactly the same (memstat scans its own memory and the fixed
software uses a dynamically allocated variable) I thinks the fix would
be appropriate for Linux.
But, even if it solves the FTBFS on Hurd the output on this OS is not
correct. On Hurd the /proc is not totally implemented so memstat, even
fixed, cannot work.

I'll keep the patch and resubmit it when Hurd has a complete /proc file-system.

Thanks again for your time,
Tanguy
[memstat-0.9.hurd.patch (application/octet-stream, attachment)]

Severity set to 'wishlist' from 'important' Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Thu, 28 Nov 2013 20:03:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:54:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.